Module Module1
    Sub OpenFile()
        '設定所要開啟的檔案類型為文字檔案 *.txt
        Form1.OpenFileDialog1.Filter = "文字檔案(*.txt)|*.txt"
        '判斷使用者是否在開啟舊檔交談窗中按下開啟鈕
        If Form1.OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            '讀取檔案並將讀取到的內容設定給RichTextBox1
            Form1.TextBox1.Text = My.Computer.FileSystem.ReadAllText(Form1.OpenFileDialog1.FileName)
        End If
    End Sub

    Sub SaveFile()
        '設定所要儲存的檔案類型為文字檔案 *.txt
        Form1.SaveFileDialog1.Filter = "文字檔案(*.txt)|*.txt"
        '判斷使用者是否在儲存檔案交談窗中按下儲存鈕
        If Form1.SaveFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            '將RichTextBox1中的內容寫入至檔案中
            My.Computer.FileSystem.WriteAllText(Form1.SaveFileDialog1.FileName, Form1.TextBox1.Text, False)
        End If
    End Sub
End Module
